APIs / YouTube / Channel Videos
YouTube: Channel Videos
Channel Videos from YouTube as JSON. 1 credit per successful call.
GET /v1/youtube/channel-videosNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
channel_id | string | Optional | Up to 100 characters |
channelId | string | Optional | Up to 100 characters |
limit | integer | Optional | Any |
page | integer | Optional | Any |
sort | string | Optional | newest, popular, oldest |
type | string | Optional | videos, shorts, live, podcasts |
continuation | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/youtube/channel-videos?channel_id=UCX6OQ3DkcsbYNE6H8uQQuVA" \
-H "X-API-Key: $API_KEY"